﻿
// goodby_example.as

import mx.utils.Delegate;
import com.jor.utils.Timer;
import com.jor.events.TimerEvent;
#include "mc_tween2.as"

var nBeginX:Number = 15;
var nBeginY:Number = 15;
var nPlaceX:Number = nBeginX;

function displayTitlePart( who:MovieClip, sValue:String ):Void
{
	who._yscale = 0;
	who._x = nPlaceX;
	who.label_txt.autoSize = "left";
	who.label_txt.text = sValue;
	nPlaceX += who.label_txt._width;
	who.yScaleTo(100, 2, "easeOutExpo" );
};

function timerHandler( event:TimerEvent ):Void
{
	var nIndex = myTimer.currentCount-1;
	
	if( myXML.firstChild.childNodes[nIndex].attributes.id == "title" )
	{
		bOkayToProceed = false;
		var oWords = myXML.firstChild.childNodes[nIndex].attributes.text.split( " " );
		nPlaceX = nBeginX;
		
		for( var j=0; j<oWords.length; j++ )
		{
			var mc = _root.attachMovie( "_titleNode", "_titlenode_"+j, _root.getNextHighestDepth() );
			mc._x = nPlaceX;
			mc._y = nBeginY+15;
			setTimeout( displayTitlePart, 100, mc, oWords[j] );
		}
		nPlaceX = nBeginX;
		nBeginY+=8;
	} else 
	{
		var mc = _root.attachMovie( "_node", "_node_"+nIndex, _root.getNextHighestDepth() );
		mc._alpha = 0;
		mc.label_txt.text = myXML.firstChild.childNodes[nIndex].attributes.text;
		mc._x = nBeginX;
		mc._y = nBeginY + 14;
		mc.alphaTo( 100, 1.7 );
		mc.ySlideTo( nBeginY, 1.5 );
		nBeginY+=18;
	}
};

var myTimer:Timer = new Timer(250, 8);
myTimer.addEventListener(TimerEvent.TIMER, Delegate.create(this, timerHandler));

var myXML:XML = new XML();
myXML.ignoreWhite = true;
myXML.onLoad = function( success:Boolean ):Void {
	if ( success == true ){
		parseXML( this );
	}
}
myXML.load( "goodby_example.xml" );

function parseXML( oXML:XML ):Void
{
	var nSentences:Number = oXML.firstChild.childNodes.length;
	myTimer = new Timer( 40, nSentences );
	myTimer.addEventListener(TimerEvent.TIMER, Delegate.create(_level0, timerHandler));
	myTimer.start();
};


