﻿
// ed6_podcasts.as

import mx.xpath.XPathAPI;
import mx.utils.Delegate;
import com.jor.utils.Timer;
import com.jor.events.TimerEvent;
#include "mc_tween2.as"

var oString:Array = new Array();
var nSelectedIndex:Number = 0;
var nTotalPodcasts:Number = 0;
mediaController._visible = false;

// 20 podcast positions
var oClickLocations:Array = new Array();
for( var i=357; i>-1860; i-= 93 )
{
	oClickLocations.push( i );
}


var main_mc:MovieClip = _root.createEmptyMovieClip( "main", _root.getNextHighestDepth() );
var clip_mc:MovieClip = _root.createEmptyMovieClip( "clip", _root.getNextHighestDepth() );
clip_mc.moveTo( 40, 275 );
clip_mc.beginFill( 0xFF0000, 100 );
clip_mc.lineTo( Stage.width - 40, 0 );
clip_mc.lineTo( Stage.width-40, Stage.height );
clip_mc.lineTo( 40, Stage.height );
clip_mc.lineTo( 40, 0 );
clip_mc.endFill();
main_mc.setMask( clip_mc );

podXml = new XML();
podXml.ignoreWhite = true;
podXml.onLoad = function( success:Boolean ):Void
{
	if ( success == true )
	{
		buildPodcastUI( this );
	}
};

function populateBottomList():Void
{
	podXml.load( "ed_podcasts.xml" );
};

function buildPodcastUI( oXml ):Void
{
	main_mc._y = 290;
	main_mc._x = Stage.width;///2;
	
	var placeX:Number = 0;
	
	var nLen:Number = oXml.firstChild.childNodes.length;
	nTotalPodcasts = nLen;
	
	var titlePath:String = "/podcasts/episode/title";
	var linkPath:String = "/podcasts/episode/link";
	var descPath:String = "/podcasts/episode/description";
	var datePath:String = "/podcasts/episode/date";
	titleArray = mx.xpath.XPathAPI.selectNodeList( oXml.firstChild, titlePath );
	linkArray = mx.xpath.XPathAPI.selectNodeList( oXml.firstChild, linkPath );
	descArray = mx.xpath.XPathAPI.selectNodeList( oXml.firstChild, descPath );
	dateArray = mx.xpath.XPathAPI.selectNodeList( oXml.firstChild, datePath );
	
	for (var i=0; i<nLen; i++)
	{
		main_mc.attachMovie("icon", "icon_"+i, main_mc.getNextHighestDepth() );
		main_mc["icon_"+i].indx = i;
		
		main_mc["icon_"+i].useHandCursor = false;
		main_mc["icon_"+i].ring_mc._alpha = 0;
		main_mc["icon_"+i].onRelease = function()
		{
			itemClick( this.indx );
		};
		main_mc["icon_"+i].onRollOver = function()
		{
			if( nSelectedIndex != this.indx )
			{
				this.ring_mc.alphaTo( 100, 1 );
			}
		};
		main_mc["icon_"+i].onReleaseOutside = function()
		{
			this.ring_mc.alphaTo( 0, 1 );
		}
		main_mc["icon_"+i].onRollOut = function()
		{
			this.ring_mc.alphaTo( 0, 1 );
		}
		
		main_mc["icon_"+i].select_mc._alpha = 0;
		main_mc["icon_"+i].date_txt.text = dateArray[i].firstChild.nodeValue;
		main_mc["icon_"+i]._x = placeX;
		
		main_mc["icon_"+i]._xscale = 80;
		main_mc["icon_"+i]._yscale = 80;
		
		placeX += 93;
	}
	
	/**
	* 	Need to break the string into individual lines to stuff into movieclips
	* 	and animate each one. We need to know # of lines, and then use that to
	* 	stuff into an array.
	*/
	
	var tmpString:String = String( descArray[0].firstChild.nodeValue );
	oString = tmpString.split("|");
	loading_mc.ySlideTo( 280, 1.25 );
	loading_mc.alphaTo( 0, 1.25 );
	
	// Move to 1/2 way across.
	main_mc.xSlideTo( 357, 0.75, "easeOutExpo" );
	main_mc.onTweenComplete = highlightItem( 0 );
	setTimeout( displayDescription, 500, oString, 0 );
	setTimeout( showController, 2200 );
	
};

function showController()
{
	mediaController._visible = true;
}


function itemClick( nIndex ):Void
{
	//trace( oClickLocations[nIndex] );
	replaceAllNodes();
	nSelectedIndex = nIndex;

	fadeAllSelections();
	left_mc.onRelease = null;
	right_mc.onRelease = null;
	
	nBeginX = 75;
	nBeginY = 105;
	var tmpString:String = String( descArray[nSelectedIndex].firstChild.nodeValue );
	oString = tmpString.split("|");
	displayDescription( oString, nSelectedIndex );
	
	main_mc.xSlideTo( oClickLocations[nSelectedIndex], 1, "easeOutExpo" );
	main_mc.onTweenComplete = highlightItem( nSelectedIndex );
};

///////////////////////////////////////////////////////////////// Elegant Description Display

var nBeginX:Number = 75;
var nBeginY:Number = 105;

function timerHandler( event:TimerEvent ):Void
{
	var nIndex = myTimer.currentCount-1;
	
	var mc = _root.attachMovie( "_node", "_node_"+nIndex, nIndex+1 );
	mc._alpha = 0;
	mc.label_txt.text = "";
	mc.label_txt.text = oString[nIndex];
	
	mc._x = nBeginX;
	mc._y = nBeginY + 14;
	mc.alphaTo( 100, 1.5 );
	mc.ySlideTo( nBeginY, 1 );
	nBeginY+=20;
};

myTimer.addEventListener(TimerEvent.TIMER, Delegate.create(this, timerHandler));


media.associateController( mediaController );

function displayDescription( oString, nNum )
{	
	title_mc._alpha = 0;
	title_mc._y = 113.0;
	

	title_mc.title_txt.text = titleArray[nNum].firstChild.nodeValue
	title_mc.alphaTo( 100, 1.25 );
	title_mc.ySlideTo( 60, 1 );
	
	var nSentences:Number = oString.length;

	myTimer = new Timer( 60, nSentences );
	myTimer.addEventListener(TimerEvent.TIMER, Delegate.create(_level0, timerHandler));
	myTimer.start();
	
	media.setMedia( linkArray[nSelectedIndex].firstChild.nodeValue, "MP3" );
	media.stop();
};






left_mc.useHandCursor = false;
left_mc.onRelease = handleLeft;
right_mc.useHandCursor = false;
right_mc.onRelease = handleRight;

function handleLeft():Void
{
	if( nSelectedIndex < nTotalPodcasts-1 )
	{
		replaceAllNodes();
		nSelectedIndex++;
		fadeAllSelections();
		
		left_mc.onRelease = null;
		right_mc.onRelease = null;
		
		nBeginX = 75;
		nBeginY = 105;
		var tmpString:String = String( descArray[nSelectedIndex].firstChild.nodeValue );
		
		oString = tmpString.split("|");
		displayDescription( oString, nSelectedIndex );
		
		main_mc.xSlideTo( main_mc._x - 93, 1, "easeOutExpo" );
		main_mc.onTweenComplete = highlightItem( nSelectedIndex );
	}
};

function handleRight():Void
{
	if( nSelectedIndex > 0 )
	{
		replaceAllNodes();
		nSelectedIndex--;
		fadeAllSelections();
		left_mc.onRelease = null;
		right_mc.onRelease = null;
		
		nBeginX = 75;
		nBeginY = 105;
		var tmpString:String = String( descArray[nSelectedIndex].firstChild.nodeValue );
		oString = tmpString.split("|");
		displayDescription( oString, nSelectedIndex );
		
		main_mc.xSlideTo( main_mc._x + 93, 1, "easeOutExpo" );
		main_mc.onTweenComplete = highlightItem( nSelectedIndex );
	}
};

function replaceAllNodes()
{
	// Using 10 for saftey
	for( var i=0; i<10; i++ )
	{
		 var mc = _root.attachMovie( "_node", "_node_"+i, i+1 );
		 mc._x = 75;
	}
}

function highlightItem( nIndex ):Void
{
	main_mc["icon_"+nIndex].select_mc.alphaTo( 100, 2 );
	main_mc["icon_"+nIndex].xScaleTo( 100, 2 );
	main_mc["icon_"+nIndex].yScaleTo( 100, 2 );
	left_mc.onRelease = handleLeft;
	right_mc.onRelease = handleRight;
};

function fadeAllSelections():Void
{
	for( var i=0; i<nTotalPodcasts; i++ )
	{
		main_mc["icon_"+i].select_mc.alphaTo( 0, 1 );
		main_mc["icon_"+i].xScaleTo( 80, 1 );
		main_mc["icon_"+i].yScaleTo( 80, 1 );
	}
};

setTimeout( populateBottomList, 1500 );


